cpw.mods.fml.common.network

## Class FMLNetworkEvent.CustomPacketEvent<S extends INetHandler>

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - cpw.mods.fml.common.network.FMLNetworkEvent<S>
    - - cpw.mods.fml.common.network.FMLNetworkEvent.CustomPacketEvent<S>

- Direct Known Subclasses:
    FMLNetworkEvent.ClientCustomPacketEvent, FMLNetworkEvent.ServerCustomPacketEvent
  Enclosing class:
    FMLNetworkEvent<T extends INetHandler>

      public abstract static class FMLNetworkEvent.CustomPacketEvent<S extends INetHandler>
      extends FMLNetworkEvent<S>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.network.FMLNetworkEvent

      `FMLNetworkEvent.ClientConnectedToServerEvent, FMLNetworkEvent.ClientCustomPacketEvent, FMLNetworkEvent.ClientDisconnectionFromServerEvent, FMLNetworkEvent.CustomNetworkEvent, FMLNetworkEvent.CustomPacketEvent<S extends INetHandler>, FMLNetworkEvent.CustomPacketRegistrationEvent<S extends INetHandler>, FMLNetworkEvent.ServerConnectionFromClientEvent, FMLNetworkEvent.ServerCustomPacketEvent, FMLNetworkEvent.ServerDisconnectionFromClientEvent`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `FMLProxyPacket` | `packet` The packet that generated the event
    `FMLProxyPacket` | `reply` Set this packet to reply to the originator

    - ### Fields inherited from class cpw.mods.fml.common.network.FMLNetworkEvent

      `handler, manager`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Side` | `side()`

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### packet

          public final FMLProxyPacket packet

      The packet that generated the event

    - #### reply

          public FMLProxyPacket reply

      Set this packet to reply to the originator

  - ### Method Detail

    - #### side

          public abstract Side side()